'Autore: Michele Betelli (michele.betelli@mvps.org)
'Scopo: Archiviare e inviare via e-mail i logs di NTBackup
'Modificato da Don Enrico - 02/04/2008
Option Explicit

Dim x
Dim fso,fsoFolder,fsoFiles,fsoFile
Dim LogPath,RegPath
Dim WSHShell 
Dim FolderDestination
Dim Sender,Recipient,Subject,Body,SMTPServer
Dim tmpFile
Dim ArrAttachment()

'-------------------------------------------Parametri-------------------------------------------
FolderDestination = "C:\Script\Temp"
SMTPServer = "172.25.0.61"
Sender = "bi@atigservice.it"
Recipient = "pellegrino@atigservice.it"
Subject = "Report Backup Schedulato sul server 2000ADV"
Body = "In allegato il log del backup" 
'------------------------------------------------------------------------------------------------
Set WSHShell = WScript.CreateObject("WScript.Shell")
Set fso = CreateObject("Scripting.FileSystemObject")

RegPath = "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders\Local AppData"
LogPath = WSHShell.RegRead(RegPath) 
LogPath = fso.BuildPath(LogPath, "Microsoft\Windows NT\NTBackup\Data")
LogPath = Replace(LogPath,"%USERPROFILE%",WshShell.ExpandEnvironmentStrings("%USERPROFILE%"))

Subject = WshShell.ExpandEnvironmentStrings("%COMPUTERNAME%")  & " - " & Subject
Set fsoFolder = fso.GetFolder(LogPath)
Set fsoFiles = fsoFolder.Files

x = 0
For Each fsoFile In fsoFiles
 If fso.GetExtensionName(fsoFile.name) = "log" Then 
  x = x + 1
  tmpFile = fso.BuildPath(FolderDestination,WshShell.ExpandEnvironmentStrings("%COMPUTERNAME%")  & " - " & replace(date(),"/","-") & " - " & Replace(fsoFile.name,".log",".txt"))
  fsoFile.Copy (tmpFile)
  fso.DeleteFile fso.BuildPath(LogPath,fsoFile.name)
  Redim Preserve ArrAttachment(x)
  ArrAttachment(x) = tmpFile
 End If
Next

If IsArray(ArrAttachment) Then Send_MailCDO SMTPServer,Sender,Recipient,Subject,Body,ArrAttachment

Set fso = Nothing
Set fsoFolder = Nothing
Set fsoFiles = Nothing

Function Send_MailCDO(SMTPServer,Sender,Recipient,Subject,Text,ArrayAttachment)

	Dim objEmail
	Set objEmail = CreateObject("CDO.Message")
 
	objEmail.From = Sender
	objEmail.To = Recipient
	objEmail.Subject = Subject
	objEmail.Textbody = Text
	For x = 1 To Ubound(ArrayAttachment)
		objEmail.AddAttachment ArrayAttachment(x)
	Next
	objEmail.Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2
	objEmail.Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserver") = SMTPServer
	objEmail.Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = 25
	objEmail.Configuration.Fields.Update
	objEmail.Send
	Set objEmail = Nothing
End Function